Bug 860149 - Changing partition type with gdisk does not change partition name
Changing partition type with gdisk does not change partition name
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdisk (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 02:18 EDT by Bruce Jerrick
Modified: 2013-02-24 07:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-24 07:49:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Jerrick 2012-09-25 02:18:39 EDT
Description of problem:
When a partition type is changed with gdisk ('t' command), it does
not update the partition name (at offset 56 in the partition entry).

Version-Release number of selected component:
gdisk-0.8.4-1.fc17

How reproducible:
100%

Steps to Reproduce:
1. gdisk /dev/sda
2. Print the partition table ('p')
3. Change partition type ('t')
4. Print the partition table ('p')
5. Quit (without writing) ('q')

Actual results:
The partition name does not change.

Expected results:
The partition name should change to that of the new partition type.

Additional info:
A 'c' command exists to change the partition name, but it should
  be updated automatically when the partition type is changed.
The partition name is correct if the partition is deleted then
  recreated.
Comment 1 Terje Røsten 2012-10-08 09:14:45 EDT
Thanks for your report.

You have to write (w) to make the change happen? 

Or is it some something else you mean?

Can you cut and paste a session and post here?
Comment 2 Terje Røsten 2012-12-18 14:00:40 EST
Hi again!

Any comments?
Comment 3 Terje Røsten 2013-02-24 07:49:13 EST
I would not consider this a bug, name is not necessarily  connected to type.

I don't agree with "it should be updated automatically when the partition type is changed."

If they follow all the time there is no need for both type and name?

Note You need to log in before you can comment on or make changes to this bug.